org.firebirdsql.gds.ng.listeners

## Interface ServiceListener

All Known Implementing Classes:
  ServiceListenerDispatcher

    public interface ServiceListener

Listener for service events.

Since:
  3.0
Author:
  Mark Rotteveel

### Method Summary

Methods
`void` `detached(FbService service)` Called when the `service` connection has been detached
`void` `detaching(FbService service)` Called before the `service` will be detached.
`void` `warningReceived(FbService service, java.sql.SQLWarning warning)` Called when a warning was received for the `service` connection.

### Method Detail

#### detaching

    void detaching(FbService service)

Called before the `service` will be detached.

This event is intended for cleanup action, implementer should take care that no exceptions are thrown from this method.

Parameters:
  `service` - The service object that is detaching

#### detached

    void detached(FbService service)

Called when the `service` connection has been detached

Parameters:
  `service` - The database object that was detached

#### warningReceived

    void warningReceived(FbService service,
                       java.sql.SQLWarning warning)

Called when a warning was received for the `service` connection.

In implementation it is possible that some warnings are not sent to listeners on the database, but only to listeners on specific connection derived objects.

Parameters:
  `service` - service receiving the warning
  `warning` - Warning